<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- UrbanCode Build
- UrbanCode Release
- AnthillPro
- (c) Copyright IBM Corporation 2014, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
--><pluginInfo>

  <!-- Do not change the release-version, the build process injects it. -->
  <release-version>29.1098516</release-version>

  <release-notes>
    <!--
      **release-note IS required**

      The plugin-version name must match the plugin version found in the plugin.xml file

      The release-note should document the changes, improvements, or bug fixes introduced
      with the new plugin version

      The release-note may contain text or reference a file in the plugin zip package

      For example your release note could be:
      Support for was added for version 10.0 for software X
      or
      releaseNotes/release1.html (where release1.html contains html formatted version information)

      To add a new release note add this with a description in it of the changes:
      <release-note plugin-version="1">....</release-note>

      Our automated release process will replace 'LATEST' with the released version.

      If this already exists in the file, then the described changes have not been released yet and
      you should just append to the existing 'LATEST' tag.
      -->

      <release-note plugin-version="1">
Install this plugin to import artifacts from an Artifactory repository as the component version.
      </release-note>

      <release-note plugin-version="2">
Fixes APAR PI35342 - compatibility defect with IBM Urbancode Deploy version 6.1.0.4 and later
      </release-note>

      <release-note plugin-version="3">
Fixes APAR PI56091 - 'Import New Versions' option for 'Specific Version' field is not used. Plugin
could show errors if a version is already imported during the same import.
      </release-note>
    <release-note plugin-version="4">
Adds ability to import versions for which the package name and version number are separated by "-" in the version title as opposed to "."
    </release-note>
    <release-note plugin-version="5">
      Fixes APAR PI57417. Plug-in now checks the agent settings for acceptance of self signed certificates.
    </release-note>
    <release-note plugin-version="6">
      <p>Fixes Defect: The 'Copy to CodeStation' checkbox is ignored and files are copied to codestation regardless of preference. The 'Copy to Codestation' checkbox is now functional.</p>
    </release-note>
    <release-note plugin-version="7">
      <p>Added functionality to set Artifactory properties as UCD component version properties.</p>
      <p>Added ability to set Artifactory properties as UCD version statues.</p>
      <p>Added ability to set Artifactory properties as links on UCD versions.</p>
      <p>Added ability to retrieve multiple file extension types.</p>
    </release-note>
    <release-note plugin-version="8">
      <p>Added option to unzip archived files before uploading.</p>
    </release-note>
    <release-note plugin-version="9">
      <p>Fixes APAR PI73859. Now 'Run Process After a Version is Created' works even when no properties exist for artifact.</p>
      <p>Plugin now properly sets output properties after version import.</p>
    </release-note>
    <release-note plugin-version="10">
      <p>Fixes APAR PI76587. Not selecting 'Copy into Codestation' now sets versions properties.</p>
    </release-note>
    <release-note plugin-version="11">
      <p>Plugin now downloads files and folders in version subfolders.</p>
      <p>A few logging and bug fixes.</p>
    </release-note>
    <release-note plugin-version="12">
      <p>Fixes APAR PI79876 - Import Latest Build Count now ignores already existing versions.</p>
    </release-note>
    <release-note plugin-version="13">
      <p>Fixes APAR PI83660 - Plugin now uses agent working directory rather than java tmp directory.</p>
    </release-note>
    <release-note plugin-version="14">
      <p>Fixes APAR PI86118 - Fixes issue when importing multiple versions when component has archived/inactive versions.</p>
    </release-note>
    <release-note plugin-version="15">
      <p>Fixes APAR PI86374 - Eliminates the cascading of old versions effect by including already imported versions in import count.</p>
      <p>Removed support for NuGet repository type.  Please use the NuGet Source Config plug-in.</p>
      <p>Reformatted input parameters to better suit generic repositories. Maven Group IDs and Artifact IDs are now included as one "Path"</p>
    </release-note>
    <release-note plugin-version="16">
      <p>Fixes APAR PI88475 - Plugin now works when spaces exist in repo path.</p>
      <p>Changes failure setting version properties to warning with solution.</p>
    </release-note>
    <release-note plugin-version="17">
      <p>RFE 106827 - Added ability to connect via http proxy</p>
    </release-note>
    <release-note plugin-version="18">
      <p>Fixes APAR PI90693 - Removed 'Latest Build Count' functionality.</p>
      <p>RFE 113139 - Adds 'Include Files' and 'Exclude Files' options to replace 'File Extension'.</p>
    </release-note>
    <release-note plugin-version="19">
      <p>APAR PI90693 - Import version now sorts the imported versions by their creation date in Artifactory.</p>
    </release-note>
    <release-note plugin-version="20">
      <p>APAR PI94831 - Set artifactory version properties as list rather than only first value.</p>
      <p>Add back GroupID and ArtifactID for upgrade scenarios.</p>
      <p>Improve error handling during issues creating versions.</p>
    </release-note>
    <release-note plugin-version="21">
      <p>RFE 102681 Added ability to allow insecure connections to Artifactory.</p>
      <p>Removed brackets from component version property values.</p>
    </release-note>
    <release-note plugin-version="22">
      <p>Fix issue with upgrading from specific versions causing null pointer exception.</p>
    </release-note>
    <release-note plugin-version="23">
      <p>RFE 113013, 119714 - Added ability to check hashes on artifacts via the Artifactory API.</p>
      <p>RFE 120214 - Added ability to login via API Key.</p>
      <p>Added ability to import a specific number of latest versions.</p>
    </release-note>
    <release-note plugin-version="24">
      <p>Fix issue with recursive download folder layout.</p>
      <p>Updated and improved logging.</p>
    </release-note>
    <release-note plugin-version="25">
      <p>Fixes APAR PI87707, a regression where the user who requested a manual version import was not being tracked.</p>
      <p>Renamed 'importCount' property to 'copyCount' to support upgrades from older versions.</p>
    </release-note>
    <release-note plugin-version="26">
      <p>Fixes APAR PH02640, fixed issue where spaces in file path resulted in duplicate encoding error.</p>
      <p>Added back the 'extension' field for legacy steps that use it.</p>
    </release-note>
    <release-note plugin-version="27">
       APAR PI89045: add support for setting isFinished flag flag when importing versions.
    </release-note>
    <release-note plugin-version="28">
       RFE 130123 Added optional description import property.
       Fixed broken upgrade path to version 25.
    </release-note>
    <release-note plugin-version="29">
       RFE 131466 Add support for SHA-256 hash verification instead of SHA-1 and updated logging for verification.
    </release-note>
  </release-notes>
</pluginInfo>
